SystemOrganization addCategory: #SistemaWeb!

WAComponent subclass: #LoginComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SistemaWeb'!

!LoginComponent methodsFor: 'rendering' stamp: 'HGPL 6/29/2013 21:53'!
renderContentOn: html
	html div 
		class: 'login-container';
		with: [
			html textInput
				value: 'email';
				text: 'Email'.
			html passwordInput
				value:'password'.
			html submitButton
				text: 'Login'
		]
! !

WAComponent subclass: #MainComponent
	instanceVariableNames: 'login'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SistemaWeb'!

!MainComponent class methodsFor: 'class initialization' stamp: 'HGPL 6/29/2013 21:22'!
initialize
	WAAdmin register: self asApplicationAt: 'poo'! !

!MainComponent methodsFor: 'initialization' stamp: 'HGPL 6/29/2013 21:26'!
initialize
	super initialize.
	login := LoginComponent new! !

!MainComponent methodsFor: 'rendering' stamp: 'HGPL 6/29/2013 21:43'!
renderContentOn: html
	html div
		class: 'header';
		with: [
			login renderContentOn: html.
		].
	html horizontalRule.
	

! !

!MainComponent methodsFor: 'rendering' stamp: ''!
style ^ 'div.header {
   height: 30px;
}

div.login-container {
   width: 350px;
   float: right;
   display: block;
}'! !

WAComponent subclass: #SignUpComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SistemaWeb'!

!SignUpComponent methodsFor: 'rendering' stamp: 'FA 6/29/2013 21:10'!
renderContentOn: html
	html text: 'Name:'.
	html textInput
		value: 'name'.
	html break.
	html text: 'Email:'.
	html textInput
		value: 'email'.
	html break.
	html text:'Password:'.
	html passwordInput
		value:'password'.
	html break.
	html submitButton.

	

! !
MainComponent initialize!
